POST api/Comment
Request Information
URI Parameters
None.
Body Parameters
CommentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CommentId | integer |
None. |
|
| CommentForEntity | integer |
None. |
|
| CommentForEntityId | string |
String length: inclusive between 0 and 50 |
|
| CommentType | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 20 |
|
| CommentText | string |
String length: inclusive between 0 and 4000 |
|
| ValidFlag | boolean |
None. |
|
| insertUserId | integer |
None. |
|
| insertUserName | string |
String length: inclusive between 0 and 100 |
|
| insertDate | date |
None. |
|
| RelativeDateTime | string |
String length: inclusive between 0 and 50 |
Request Formats
application/json, text/json
Sample:
{
"CommentId": 1,
"CommentForEntity": 2,
"CommentForEntityId": "sample string 3",
"CommentType": 4,
"CompanyCode": "sample string 5",
"CommentText": "sample string 6",
"ValidFlag": true,
"insertUserId": 8,
"insertUserName": "sample string 9",
"insertDate": "2026-08-04T14:25:42.7555859-07:00",
"RelativeDateTime": "sample string 11"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCommentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CommentDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"CommentId": 1,
"CommentForEntity": 2,
"CommentForEntityId": "sample string 3",
"CommentType": 4,
"CompanyCode": "sample string 5",
"CommentText": "sample string 6",
"ValidFlag": true,
"insertUserId": 8,
"insertUserName": "sample string 9",
"insertDate": "2026-08-04T14:25:42.7555859-07:00",
"RelativeDateTime": "sample string 11"
},
"totalCount": 3
}